# Class: Concurrent::Actor::ActorTerminated

Inherits:
  Error
  - Object
  - Concurrent::Actor::ActorTerminated
  show all

Includes:
  TypeCheck

Defined in:
  lib/concurrent-ruby-edge/concurrent/actor/errors.rb

## Instance Attribute Summary collapse

- #reference ⇒ undocumented readonly

## Instance Method Summary collapse

- #initialize(reference) ⇒ ActorTerminated constructor

  A new instance of ActorTerminated.

- #Child!(value, *types) ⇒ undocumented included from TypeCheck
- #Child?(value, *types) ⇒ Boolean included from TypeCheck
- #Match!(value, *types) ⇒ undocumented included from TypeCheck
- #Match?(value, *types) ⇒ Boolean included from TypeCheck
- #Type!(value, *types) ⇒ undocumented included from TypeCheck
- #Type?(value, *types) ⇒ Boolean included from TypeCheck

## Constructor Details

### #initialize(reference) ⇒ `ActorTerminated`

Returns a new instance of ActorTerminated.

    10
    11
    12
    13

    # File 'lib/concurrent-ruby-edge/concurrent/actor/errors.rb', line 10

    def initialize(reference)
      @reference = Type! reference, Reference
      super reference.path
    end

## Instance Attribute Details

### #reference ⇒ `undocumented` (readonly)

    8
    9
    10

    # File 'lib/concurrent-ruby-edge/concurrent/actor/errors.rb', line 8

    def reference
      @reference
    end

## Instance Method Details

### #Child!(value, *types) ⇒ `undocumented` Originally defined in module TypeCheck

### #Child?(value, *types) ⇒ `Boolean` Originally defined in module TypeCheck

Returns:

- (`Boolean`)

### #Match!(value, *types) ⇒ `undocumented` Originally defined in module TypeCheck

### #Match?(value, *types) ⇒ `Boolean` Originally defined in module TypeCheck

Returns:

- (`Boolean`)

### #Type!(value, *types) ⇒ `undocumented` Originally defined in module TypeCheck

### #Type?(value, *types) ⇒ `Boolean` Originally defined in module TypeCheck

Returns:

- (`Boolean`)